Bug 217348 - irc/irssi: Update to 1.0.1
Summary: irc/irssi: Update to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-25 11:00 UTC by Bernard Spil
Modified: 2017-03-17 09:01 UTC (History)
2 users (show)

See Also:
vanilla: maintainer-feedback+


Attachments
svn diff for irc/irssi (3.17 KB, patch)
2017-02-25 11:00 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-02-25 11:00:37 UTC
Created attachment 180284 [details]
svn diff for irc/irssi

irc/irssi: Update to 1.0.1

 - Update to 1.0.1
 - Remove defunct patch

PR:
Comment 1 Bernard Spil freebsd_committer 2017-02-25 11:36:40 UTC
Just noticed that irssi went from 0.8.20 to 1.0.0 and then back to 0.8.21 for security fixes. These security fixes are also part of 1.0.1.

Additionally this requires re-adding patches to irc/irssi-xmpp
Comment 2 Vanilla I. Shu freebsd_committer 2017-02-25 14:42:16 UTC
maybe you can take maintainer bit,

I did not use irc long long time ago.
Comment 3 David O'Rourke 2017-03-16 19:41:30 UTC
I'd be interested in maintaining this port. However, I'm unsure of the process and this would be the first port I was maintaining.
Comment 4 Vanilla I. Shu freebsd_committer 2017-03-16 23:00:41 UTC
Hi David:

https://www.freebsd.org/doc/en/books/porters-handbook/ will be a good start,

I will change maintainer to you later, and don't worry, it's fun to be a maintainer.
Comment 5 commit-hook freebsd_committer 2017-03-17 09:01:09 UTC
A commit references this bug:

Author: vanilla
Date: Fri Mar 17 09:00:32 UTC 2017
New revision: 436326
URL: https://svnweb.freebsd.org/changeset/ports/436326

Log:
  1: Update to 1.0.1.
  2: remove uneeded config arguments (ncurses/ipv6)

  PR:		217348
  Submitted by:	brnrd@

Changes:
  head/irc/irssi/Makefile
  head/irc/irssi/distinfo
  head/irc/irssi/files/patch-configure
  head/irc/irssi/pkg-plist
Comment 6 Vanilla I. Shu freebsd_committer 2017-03-17 09:01:33 UTC
Hi Bernard:

I just committed this patch,

please help to readd irssi-xmpp's patch, thanks.